Bug 823842 - cifs: Cleanup TCP_SERVER_Info
cifs: Cleanup TCP_SERVER_Info
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel (Show other bugs)
All Linux
unspecified Severity medium
: rc
: ---
Assigned To: Sachin Prabhu
Jian Li
Depends On:
Blocks: 798385
  Show dependency treegraph
Reported: 2012-05-22 05:56 EDT by Sachin Prabhu
Modified: 2014-03-03 19:08 EST (History)
5 users (show)

See Also:
Fixed In Version: kernel-2.6.32-298.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-02-21 00:56:46 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Sachin Prabhu 2012-05-22 05:56:12 EDT
Cleanup TCP_Server_Info

Backport of the following upstream patch

commit c3dccf48174e50668b7c63544ac8c60c07a45978
Author: Jeff Layton <jlayton@redhat.com>
Date:   Thu Jan 20 13:36:50 2011 -0500

cifs: TCP_Server_Info diet

Remove fields that are completely unused, and rearrange struct
according to recommendations by "pahole".


        /* size: 1112, cachelines: 18, members: 49 */
        /* sum members: 1086, holes: 8, sum holes: 26 */
        /* bit holes: 1, sum bit holes: 7 bits */
        /* last cacheline: 24 bytes */


        /* size: 1072, cachelines: 17, members: 42 */
        /* sum members: 1065, holes: 3, sum holes: 7 */
        /* last cacheline: 48 bytes */

...savings of 40 bytes per struct on x86_64. 21 bytes by field removal,
and 19 by reorganizing to eliminate holes.

Signed-off-by: Jeff Layton <jlayton@redhat.com>
Signed-off-by: Steve French <sfrench@us.ibm.com>

Comment 2 RHEL Product and Program Management 2012-07-27 12:21:16 EDT
This request was evaluated by Red Hat Product Management for
inclusion in a Red Hat Enterprise Linux release.  Product
Management has requested further review of this request by
Red Hat Engineering, for potential inclusion in a Red Hat
Enterprise Linux release for currently deployed products.
This request is not yet committed for inclusion in a release.
Comment 3 Jian Li 2012-08-01 02:15:28 EDT
regression test and sanityonly check.
Comment 4 Jarod Wilson 2012-08-16 17:21:50 EDT
Patch(es) available on kernel-2.6.32-298.el6
Comment 8 errata-xmlrpc 2013-02-21 00:56:46 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.


Note You need to log in before you can comment on or make changes to this bug.